## mysql-navigator 1.2.4

=== Makefile ===
#############################################################################
# Makefile for building targets in sub directories.
# Generated by tmake at 13:08, 2001/03/30
#     Project: build
#    Template: subdirs
#############################################################################

MAKEFILE=	Makefile
TMAKE	=	tmake
MYSQL_NAVIGATOR_HOME=/usr/local/share/mysql_navigator

SUBDIRS	=	./src/mysql \
		./src/main

all: $(SUBDIRS)

$(SUBDIRS): FORCE
	cd $@; $(MAKE)

tmake:
	tmake build.pro

tmake_all:
	for i in $(SUBDIRS); do ( cd $$i ; $(TMAKE) $$i.pro -o $(MAKEFILE); grep "TEMPLATE.*subdirs" $$i.pro 2>/dev/null >/dev/null && $(MAKE) -f $(MAKEFILE) tmake ) ; done

clean:
	for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done

FORCE:

install:
	install -d $(MYSQL_NAVIGATOR_HOME)/po
	install -d $(MYSQL_NAVIGATOR_HOME)/pics
	install -s bin/mysql_navigator /usr/local/bin
	cp -f ./po/* $(MYSQL_NAVIGATOR_HOME)/po
	cp -f ./pics/* $(MYSQL_NAVIGATOR_HOME)/pics
	cp -df lib/libmysqlui.* /usr/local/lib

deinstall:
	rm -rf $(MYSQL_NAVIGATOR_HOME)
	rm -rf /usr/local/bin/mysql_navigator
	rm -rf /usr/local/lib/libmysqlui.*
