=== src/main/Makefile ===
#############################################################################
# Makefile for building ../../bin/mysql_navigator
# Generated by tmake at 15:55, 2001/06/13
#     Project: main
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CXXFLAGS=	-pipe -Wall -W -O2 -DNO_DEBUG -DMYSQL_NAVIGATOR_HOME=\"/usr/local/share/mysql_navigator\"
CXXFLAGS=	-pipe -Wall -W -O2 -DNO_DEBUG -DMYSQL_NAVIGATOR_HOME=\"/usr/local/share/mysql_navigator\"
INCPATH	=	-I../../include -I/usr/local/mysql/include/mysql -I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	-L$(QTDIR)/lib -L/usr/X11R6/lib -L../../lib -lmysqlui -lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	
SOURCES =	./main.cxx
OBJECTS =	./main.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	../../bin/mysql_navigator

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake main.pro

dist:
	$(TAR) main.tar main.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) main.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

./main.o: ./main.cxx \
		resource.h
