=== src/mysql/Makefile ===
#############################################################################
# Makefile for building libmysqlui.so.1.0.0
# Generated by tmake at 15:55, 2001/06/13
#     Project: mysql
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -O2 -fPIC -DNO_DEBUG
CXXFLAGS=	-pipe -Wall -W -O2 -fPIC -DNO_DEBUG
INCPATH	=	-I../../pics -I../../include -I/usr/local/mysql/include/mysql -I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	-shared -Wl,-soname,libmysqlui.so.1
LIBS	=	-L$(QTDIR)/lib -L/usr/X11R6/lib -lmysqlclient -lqt -lXext -lX11 -lm
AR	=	ar cqs
RANLIB	=	
MOC	=	$(QTDIR)/bin/moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	../../include/mainwindow.h \
		../../include/connect.h \
		../../include/mdiwindow.h \
		../../include/user.h \
		../../include/table.h \
		../../include/script.h \
		../../include/edit.h \
		../../include/file.h \
		../../include/log.h \
		../../include/about.h \
		../../include/query.h \
		../../include/schema.h \
		../../include/flush.h \
		../../include/process.h \
		../../include/xport.h \
		../../include/querylistview.h \
		../../include/querytable.h \
		../../include/field.h \
		../../include/privilege.h \
		../../include/xonfigure.h \
		../../include/xworkspace.h \
		../../include/xuery.h \
		../../include/password.h \
		../../include/stepstyle.h \
		../../include/find.h
SOURCES =	./mainwindow/mainwindow.cxx \
		./mainwindow/mainwindowevent.cxx \
		./mainwindow/mainwindowglobal.cxx \
		./mainwindow/mainwindowsignal.cxx \
		./mainwindow/mainwindowlayout.cxx \
		./mainwindow/mdiwindow.cxx \
		./connect/connect.cxx \
		./connect/connectsignal.cxx \
		./connect/slot/connectslot.cxx \
		./user/user.cxx \
		./user/usersignal.cxx \
		./user/slot/userslot.cxx \
		./table/table.cxx \
		./table/tablesignal.cxx \
		./table/slot/tableslot.cxx \
		./script/script.cxx \
		./script/scriptsignal.cxx \
		./script/slot/scriptslot.cxx \
		./edit/edit.cxx \
		./edit/slot/editslot.cxx \
		./edit/slot/fileslot.cxx \
		./edit/filesignal.cxx \
		./edit/file.cxx \
		./about/about.cxx \
		./query/query.cxx \
		./query/querysignal.cxx \
		./query/slot/queryslot.cxx \
		./log/log.cxx \
		./log/logsignal.cxx \
		./log/slot/logslot.cxx \
		./mainwindow/slot/mainwindowslot.cxx \
		./mainwindow/slot/mainwindowslotlog.cxx \
		./mainwindow/slot/mainwindowslotflush.cxx \
		./mainwindow/slot/mainwindowslotstatus.cxx \
		./mainwindow/slot/mainwindowslotscript.cxx \
		./mainwindow/slot/mainwindowslottable.cxx \
		./mainwindow/slot/mainwindowslotquery.cxx \
		./mainwindow/slot/mainwindowslotuser.cxx \
		./mainwindow/slot/mainwindowslotstyle.cxx \
		./mainwindow/slot/mainwindowslotconnect.cxx \
		./mainwindow/slot/mainwindowslotwindow.cxx \
		./mainwindow/slot/mainwindowslotabout.cxx \
		./mainwindow/slot/mainwindowslotschema.cxx \
		./mainwindow/slot/mainwindowslotschemahost.cxx \
		./mainwindow/slot/mainwindowslotschemadatabase.cxx \
		./mainwindow/slot/mainwindowslotschematable.cxx \
		./mainwindow/slot/mainwindowslotschemafield.cxx \
		./mainwindow/slot/mainwindowslotprocess.cxx \
		./mainwindow/slot/mainwindowslotvariable.cxx \
		./mainwindow/slot/mainwindowslotping.cxx \
		./mainwindow/slot/mainwindowslotpassword.cxx \
		./mainwindow/slot/mainwindowslotxport.cxx \
		./mainwindow/slot/mainwindowslothighlight.cxx \
		./mainwindow/slot/mainwindowslotshutdown.cxx \
		./mainwindow/slot/mainwindowslotprivilege.cxx \
		./mainwindow/slot/mainwindowslotxonfigure.cxx \
		./mainwindow/slot/mainwindowslotfind.cxx \
		./mainwindow/mainwindowsession.cxx \
		./mainwindow/mainwindowmenu.cxx \
		./mainwindow/mainwindowhistory.cxx \
		./widget/multilinelistviewitem.cxx \
		./widget/querylistview.cxx \
		./widget/querytable.cxx \
		./widget/serverlistviewitem.cxx \
		./schema/slot/schemaslot.cxx \
		./schema/schema.cxx \
		./flush/flush.cxx \
		./flush/flushsignal.cxx \
		./flush/slot/flushslot.cxx \
		./process/process.cxx \
		./process/processsignal.cxx \
		./process/slot/processslot.cxx \
		./xport/xport.cxx \
		./xport/xportsignal.cxx \
		./xport/slot/xportslot.cxx \
		./xport/import.cxx \
		./xport/export.cxx \
		./field/field.cxx \
		./field/fieldsignal.cxx \
		./field/slot/fieldslot.cxx \
		./privilege/privilege.cxx \
		./privilege/privilegesignal.cxx \
		./privilege/slot/privilegeslot.cxx \
		./xonfigure/xonfigure.cxx \
		./xonfigure/xonfiguresignal.cxx \
		./xonfigure/slot/xonfigureslot.cxx \
		./widget/xworkspace.cxx \
		./xuery/xuery.cxx \
		./xuery/xuerysignal.cxx \
		./xuery/slot/xueryslot.cxx \
		./password/password.cxx \
		./password/passwordsignal.cxx \
		./password/slot/passwordslot.cxx \
		./style/jfcstyle.cpp \
		./style/stepstyle.cpp \
		./find/find.cxx \
		./find/findsignal.cxx \
		./find/slot/findslot.cxx
OBJECTS =	./mainwindow/mainwindow.o \
		./mainwindow/mainwindowevent.o \
		./mainwindow/mainwindowglobal.o \
		./mainwindow/mainwindowsignal.o \
		./mainwindow/mainwindowlayout.o \
		./mainwindow/mdiwindow.o \
		./connect/connect.o \
		./connect/connectsignal.o \
		./connect/slot/connectslot.o \
		./user/user.o \
		./user/usersignal.o \
		./user/slot/userslot.o \
		./table/table.o \
		./table/tablesignal.o \
		./table/slot/tableslot.o \
		./script/script.o \
		./script/scriptsignal.o \
		./script/slot/scriptslot.o \
		./edit/edit.o \
		./edit/slot/editslot.o \
		./edit/slot/fileslot.o \
		./edit/filesignal.o \
		./edit/file.o \
		./about/about.o \
		./query/query.o \
		./query/querysignal.o \
		./query/slot/queryslot.o \
		./log/log.o \
		./log/logsignal.o \
		./log/slot/logslot.o \
		./mainwindow/slot/mainwindowslot.o \
		./mainwindow/slot/mainwindowslotlog.o \
		./mainwindow/slot/mainwindowslotflush.o \
		./mainwindow/slot/mainwindowslotstatus.o \
		./mainwindow/slot/mainwindowslotscript.o \
		./mainwindow/slot/mainwindowslottable.o \
		./mainwindow/slot/mainwindowslotquery.o \
		./mainwindow/slot/mainwindowslotuser.o \
		./mainwindow/slot/mainwindowslotstyle.o \
		./mainwindow/slot/mainwindowslotconnect.o \
		./mainwindow/slot/mainwindowslotwindow.o \
		./mainwindow/slot/mainwindowslotabout.o \
		./mainwindow/slot/mainwindowslotschema.o \
		./mainwindow/slot/mainwindowslotschemahost.o \
		./mainwindow/slot/mainwindowslotschemadatabase.o \
		./mainwindow/slot/mainwindowslotschematable.o \
		./mainwindow/slot/mainwindowslotschemafield.o \
		./mainwindow/slot/mainwindowslotprocess.o \
		./mainwindow/slot/mainwindowslotvariable.o \
		./mainwindow/slot/mainwindowslotping.o \
		./mainwindow/slot/mainwindowslotpassword.o \
		./mainwindow/slot/mainwindowslotxport.o \
		./mainwindow/slot/mainwindowslothighlight.o \
		./mainwindow/slot/mainwindowslotshutdown.o \
		./mainwindow/slot/mainwindowslotprivilege.o \
		./mainwindow/slot/mainwindowslotxonfigure.o \
		./mainwindow/slot/mainwindowslotfind.o \
		./mainwindow/mainwindowsession.o \
		./mainwindow/mainwindowmenu.o \
		./mainwindow/mainwindowhistory.o \
		./widget/multilinelistviewitem.o \
		./widget/querylistview.o \
		./widget/querytable.o \
		./widget/serverlistviewitem.o \
		./schema/slot/schemaslot.o \
		./schema/schema.o \
		./flush/flush.o \
		./flush/flushsignal.o \
		./flush/slot/flushslot.o \
		./process/process.o \
		./process/processsignal.o \
		./process/slot/processslot.o \
		./xport/xport.o \
		./xport/xportsignal.o \
		./xport/slot/xportslot.o \
		./xport/import.o \
		./xport/export.o \
		./field/field.o \
		./field/fieldsignal.o \
		./field/slot/fieldslot.o \
		./privilege/privilege.o \
		./privilege/privilegesignal.o \
		./privilege/slot/privilegeslot.o \
		./xonfigure/xonfigure.o \
		./xonfigure/xonfiguresignal.o \
		./xonfigure/slot/xonfigureslot.o \
		./widget/xworkspace.o \
		./xuery/xuery.o \
		./xuery/xuerysignal.o \
		./xuery/slot/xueryslot.o \
		./password/password.o \
		./password/passwordsignal.o \
		./password/slot/passwordslot.o \
		./style/jfcstyle.o \
		./style/stepstyle.o \
		./find/find.o \
		./find/findsignal.o \
		./find/slot/findslot.o
SRCMOC	=	../../include/moc_mainwindow.cpp \
		../../include/moc_connect.cpp \
		../../include/moc_mdiwindow.cpp \
		../../include/moc_user.cpp \
		../../include/moc_table.cpp \
		../../include/moc_script.cpp \
		../../include/moc_edit.cpp \
		../../include/moc_file.cpp \
		../../include/moc_log.cpp \
		../../include/moc_about.cpp \
		../../include/moc_query.cpp \
		../../include/moc_schema.cpp \
		../../include/moc_flush.cpp \
		../../include/moc_process.cpp \
		../../include/moc_xport.cpp \
		../../include/moc_querylistview.cpp \
		../../include/moc_querytable.cpp \
		../../include/moc_field.cpp \
		../../include/moc_privilege.cpp \
		../../include/moc_xonfigure.cpp \
		../../include/moc_xworkspace.cpp \
		../../include/moc_xuery.cpp \
		../../include/moc_password.cpp \
		../../include/moc_stepstyle.cpp \
		../../include/moc_find.cpp
OBJMOC	=	../../include/moc_mainwindow.o \
		../../include/moc_connect.o \
		../../include/moc_mdiwindow.o \
		../../include/moc_user.o \
		../../include/moc_table.o \
		../../include/moc_script.o \
		../../include/moc_edit.o \
		../../include/moc_file.o \
		../../include/moc_log.o \
		../../include/moc_about.o \
		../../include/moc_query.o \
		../../include/moc_schema.o \
		../../include/moc_flush.o \
		../../include/moc_process.o \
		../../include/moc_xport.o \
		../../include/moc_querylistview.o \
		../../include/moc_querytable.o \
		../../include/moc_field.o \
		../../include/moc_privilege.o \
		../../include/moc_xonfigure.o \
		../../include/moc_xworkspace.o \
		../../include/moc_xuery.o \
		../../include/moc_password.o \
		../../include/moc_stepstyle.o \
		../../include/moc_find.o
DIST	=	
TARGET	=	libmysqlui.so.1.0.0
TARGETA	=	../../lib/libmysqlui.a
TARGETD	=	libmysqlui.so.1.0.0
TARGET0	=	libmysqlui.so
TARGET1	=	libmysqlui.so.1
TARGET2	=	libmysqlui.so.1.0

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: ../../lib/libmysqlui.so.1.0.0

../../lib/libmysqlui.so.1.0.0: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-rm -f ../../lib/$(TARGET)
	-rm -f ../../lib/$(TARGET0)
	-rm -f ../../lib/$(TARGET1)
	-rm -f ../../lib/$(TARGET2)
	-mv $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../lib/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake:
	tmake mysql.pro

dist:
	$(TAR) mysql.tar mysql.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) mysql.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-rm -f *~ core

####### Compile

./mainwindow/mainwindow.o: ./mainwindow/mainwindow.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h \
		./mainwindow/mdiwindow.h

./mainwindow/mainwindowevent.o: ./mainwindow/mainwindowevent.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h

./mainwindow/mainwindowglobal.o: ./mainwindow/mainwindowglobal.cxx \
		./mainwindow/mainwindowglobal.h

./mainwindow/mainwindowsignal.o: ./mainwindow/mainwindowsignal.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h

./mainwindow/mainwindowlayout.o: ./mainwindow/mainwindowlayout.cxx \
		./mainwindow/mainwindow.h \
		./mainwindow/mainwindowglobal.h \
		./mainwindow/mdiwindow.h

./mainwindow/mdiwindow.o: ./mainwindow/mdiwindow.cxx \
		./mainwindow/mdiwindow.h

./connect/connect.o: ./connect/connect.cxx \
		./connect/connect.h

./connect/connectsignal.o: ./connect/connectsignal.cxx \
		./connect/connect.h

./connect/slot/connectslot.o: ./connect/slot/connectslot.cxx \
		./connect/connect.h
