## mysql-navigator 1.4.2

=== debian/changelog ===
mysql-navigator (1.4.2-13) unstable; urgency=low

  * build with last automake
  * run 'autoreconf' to update generated config files (so also relibtoolize);
    thanks to Lucas Nussbaum for the report; Closes: #628350
  * add misc:Depends
  * bump Standards-Version to 3.9.2 (no changes needed)
  * convert to '3.0 (quilt)' source format
  * fix build target
  * add Vcs-{Git,Browser}

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Aug 2011 17:39:31 +0200

mysql-navigator (1.4.2-12) unstable; urgency=low

  * debian/{control, copyright, patches/*.dpatch}
    - updated my email address
  * debian/{control, compat, rules}
    - bump to debhelper 7
    - use dh_prep instead of 'dh_clean -k'
  * debian/control
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - adjust Section to 'database' as override file says
  * debian/copyright
    - added explicit notice for debian packaging copyright
    - adjusted link to GPL-2 local license file
  * debian/mysql-navigator.doc-base
    - updated section to 'Data Management'

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Jun 2009 23:04:00 +0200

mysql-navigator (1.4.2-11) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.7.3
    - moved Homepage field from binary to source stanza
    - added dpatch build-dependency
    - added dependency on autoconf, libtool, automake1.7 for relibtoolizing
  * debian/menu
    - updated to new menu policy
  * debian/rules
    - added dpatch stuff
    - relibtoolizing in the configure target
    - don't ignore errors during clean target (lintian warning)
    - added remove of link header files in "include" dir
    - removed unneeded dh_makeshlibs call
    - simple changes to parameters to dh_* spacing
  * debian/patches/01_restore_pristine_code.dpatch
    - added to avoid direct upstream code modification
  * debian/desktop
    - removed "Encoding" entry since deprecated (lintian warning)
  * debian/patches/10_bts-457141_fix_export_database.dpatch
    - added to treat TIMESTAMP as strings, including those fields in quotes
      when exported (Closes: #457141)
  * debian/copyright
    - added copyright note, inferred by upstream changelog
    - clear identification of upstream author and license texts
    - license text fixed to be GPLv2 or any next release

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 16 Jan 2008 19:37:42 +0100

mysql-navigator (1.4.2-10) unstable; urgency=low

  * update libtool to address FTBFS on k*BSD (closes: #430353)
    - thanks to Petr Salinger for the bug report and instructions

 -- tony mancill <tmancill@debian.org>  Sun, 24 Jun 2007 09:49:22 -0700

mysql-navigator (1.4.2-9) unstable; urgency=low

  * Add .desktop file; thanks to Luca Falavigna (closes: #425128)
  * Update include/Makefile.in to address FTBFS if built twice in a row
    (closes: #424591)

 -- tony mancill <tmancill@debian.org>  Wed, 30 May 2007 13:03:03 -0700

mysql-navigator (1.4.2-8) unstable; urgency=low

  * New maintainer. (Closes: #316938)
  * debian/compat
    - bump to 5
  * debian/control
    - changed Maintainer
    - bump Standard-Version to 3.7.2 (no changes)
    - versioned dependency on debhelper bumped to 5
  * debian/copyright
    - updated maintainer info

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 12 Aug 2006 09:44:51 +0200

mysql-navigator (1.4.2-7) unstable; urgency=medium

  * QA upload.
  * Upgrade to libmysqlclient15-dev.  Closes: #343783.
    - src/mysql/sql/sql.cxx: Add SQL::escape_id() to quote identifiers.
    - src/mysql/mainwindow/mainwindowslotschema.cxx: Replace obsoleted
      functions mysql_create_db() and mysql_drop_db() with corresponding
      SQL queries, using SQL::escape_id() to quote database names.
    - src/mysql/mainwindow/mainwindowslotshutdown.cxx: Supply an extra
      argument to mysql_shutdown().

 -- Matej Vela <vela@debian.org>  Fri, 17 Feb 2006 08:48:28 +0100

mysql-navigator (1.4.2-6) unstable; urgency=low

  * QA upload.
  * Automatically update config.sub and config.guess,  Closes: #327461.
  * debian/copyright: Update upstream URL and FSF address.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Sat, 10 Sep 2005 13:50:28 +0200

mysql-navigator (1.4.2-5) unstable; urgency=low

  * QA Upload
  * Recompile for CXX transition
  * Bump Standards-Version to 3.6.2 (no changes)
  * Quote strings in menu file

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 26 Aug 2005 23:15:26 +0200

mysql-navigator (1.4.2-4) unstable; urgency=low

  * Orphaning, maintainer set to QA Group

 -- Brian Nelson <pyro@debian.org>  Mon,  4 Jul 2005 18:47:39 -0700

mysql-navigator (1.4.2-3) unstable; urgency=low

  * Removed unnecessary dh_testroot from debian/rules clean target.
  * Updated build-dependencies to continue to build against
    libmysqlclient10.
  * Updated and improved the copyright file.
  * Fixed a use of multiline strings that was causing a failure to build
    with GCC 3.3. (Closes: #196707)
  * Bumped up standards version.  No changes required.

 -- Brian Nelson <pyro@debian.org>  Mon,  9 Jun 2003 15:52:25 -0700

mysql-navigator (1.4.2-2) unstable; urgency=low

  * Ugh. Really fix the doc-base file path. (Closes: #183161)

 -- Brian Nelson <pyro@debian.org>  Fri, 14 Mar 2003 10:24:33 -0800

mysql-navigator (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Fixed error in doc-base file path. (Closes: #183161)
  * Use debian/compat instead of DH_COMPAT=n in debian/rules.
  * debian/control: added the homepage to the description.
  * No longer need to use dpatch build system since upstream incorporated
    most changes.
  * Go along with upstream and name the binary mysqlnavigator instead of
    mysql-navigator.  Provide a symlink for compatibility.
  * Don't rerun autotools at build time.
  * Removed build-dependencies on autotools.

 -- Brian Nelson <pyro@debian.org>  Wed, 12 Mar 2003 09:36:54 -0800

mysql-navigator (1.4.1-5) unstable; urgency=low

  * Include qptrlist.h instead of qlist.h in sql.h and xcombobox.h.

