=== debian/control ===
Source: mysql-navigator
Section: database
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libqt3-mt-dev (>= 3.1.1-3), libmysqlclient15-dev, autoconf, libtool, automake
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/mysqlnavigator/
Vcs-Git: git://anonscm.debian.org/users/morph/mysql-navigator.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/morph/mysql-navigator.git

Package: mysql-navigator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI client program for MySQL database server
 MySQL Navigator is a MySQL database server GUI client program. The purpose
 of MySQL Navigator is to provide a useful client interface to MySQL
 database servers, whilst supporting multiple operating systems and
 languages. You can currently import/export database, enter queries, get
 result sets, edit scripts, run scripts, add, alter, and delete users, and
 retrieve client and server information.
