=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/mysqlnavigator/mysqlnavigator-([\d.]+)\.tar\.gz debian uupdate
